<?php
 ///////////////////////////////////////////////////
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  require_once "../utils/chlang.php";

  $title = $TEXT['login-title-del'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

  if(empty($_GET['autor_id'])) {puterror($result2['skin'],$TEXT['error-aut15']); require_once "../utils/bottom_adm.php"; exit();}
  if(strlen($_GET['autor_id'])>15) {puterror($result2['skin'],$TEXT['error-aut14']); require_once "../utils/bottom_adm.php"; exit();}
  $_GET['autor_id'] = rep ($_GET['autor_id']);

  //*************************************
  //Информация для лога
  $query3 = "SELECT name, familiya, otchestvo, photo_autor FROM `tbl_autor` WHERE `autor_id`='".$_GET['autor_id']."' ";
  $result3 = mysqli_query($dbcnx,$query3);
  if (!$result3) {puterror($result2['skin'],$TEXT['error-tbl1']); require_once "../utils/bottom_adm.php"; exit();}
      $result4 = mysqli_fetch_array($result3);

  //Удаляем фотографию
  if(is_file($result4['photo_autor'])) {unlink($result4['photo_autor']);}

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-aut2'];
  $what = $result4['familiya']." ".$result4['name']." ".$result4['otchestvo'].$TEXT['log-id'].$_GET['autor_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************

  $query = "DELETE FROM `tbl_autor` WHERE `autor_id`='".$_GET['autor_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-aut1']); require_once "../utils/bottom_adm.php"; exit();}
  require_once "../utils/bottom_adm.php";
?>